<?php

// Multiple Inclusion Protection
if (!defined("CLASS_PHASE_ACTIVITY_INC"))
{
define("CLASS_PHASE_ACTIVITY_INC",1);
// Multiple Inclusion Protection


  class phase_activity extends atkNode
  {
    function phase_activity()
    {
      $this->atkNode("phase_activity"); // node() constructor is *not* called automatically!

      $this->addAttribute(new atkManyToOneRelation("activityid","activity",AF_PRIMARY));
      $this->addAttribute(new atkManyToOneRelation("phaseid","phase",AF_PRIMARY));       

      $this->setTable("phase_activity");

      $this->debug("phase_activity::phase_activity()");
    }

    function descriptor_def()
    {
      return "activityid: [activity] (todo: name)";
    }
  }


} // endif CLASS_EMPLOYEE_INC;

?>
